Description: Switch to using python3 for examples
 Because of the removal of python2 (aka /usr/bin/python), the examples currently
 don't run correctly, even though they are python3 compatible. Explicitly change
 them to use the python3 interpreter.
 .
 No need to send patch upstream, as the choice of /usr/bin/python is
 distro-specific
Author: Harlan Lieberman-Berg <hlieberman@debian.org
Forwarded: not-needed
Index: python-cloudflare/examples/example_account_rules_lists_items.py
===================================================================
--- python-cloudflare.orig/examples/example_account_rules_lists_items.py
+++ python-cloudflare/examples/example_account_rules_lists_items.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_always_use_https.py
===================================================================
--- python-cloudflare.orig/examples/example_always_use_https.py
+++ python-cloudflare/examples/example_always_use_https.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_are_zones_ipv6.py
===================================================================
--- python-cloudflare.orig/examples/example_are_zones_ipv6.py
+++ python-cloudflare/examples/example_are_zones_ipv6.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_are_zones_ipv6_simple.py
===================================================================
--- python-cloudflare.orig/examples/example_are_zones_ipv6_simple.py
+++ python-cloudflare/examples/example_are_zones_ipv6_simple.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_bot_management.py
===================================================================
--- python-cloudflare.orig/examples/example_bot_management.py
+++ python-cloudflare/examples/example_bot_management.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_certificates.py
===================================================================
--- python-cloudflare.orig/examples/example_certificates.py
+++ python-cloudflare/examples/example_certificates.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_create_zone_and_populate.py
===================================================================
--- python-cloudflare.orig/examples/example_create_zone_and_populate.py
+++ python-cloudflare/examples/example_create_zone_and_populate.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_custom_hostnames.py
===================================================================
--- python-cloudflare.orig/examples/example_custom_hostnames.py
+++ python-cloudflare/examples/example_custom_hostnames.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_delete_zone_entry.py
===================================================================
--- python-cloudflare.orig/examples/example_delete_zone_entry.py
+++ python-cloudflare/examples/example_delete_zone_entry.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_dns_export.py
===================================================================
--- python-cloudflare.orig/examples/example_dns_export.py
+++ python-cloudflare/examples/example_dns_export.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_dns_import.py
===================================================================
--- python-cloudflare.orig/examples/example_dns_import.py
+++ python-cloudflare/examples/example_dns_import.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_dnssec_settings.py
===================================================================
--- python-cloudflare.orig/examples/example_dnssec_settings.py
+++ python-cloudflare/examples/example_dnssec_settings.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_graphql.py
===================================================================
--- python-cloudflare.orig/examples/example_graphql.py
+++ python-cloudflare/examples/example_graphql.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_ips.py
===================================================================
--- python-cloudflare.orig/examples/example_ips.py
+++ python-cloudflare/examples/example_ips.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_list_api_from_web.py
===================================================================
--- python-cloudflare.orig/examples/example_list_api_from_web.py
+++ python-cloudflare/examples/example_list_api_from_web.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_page_rules.py
===================================================================
--- python-cloudflare.orig/examples/example_page_rules.py
+++ python-cloudflare/examples/example_page_rules.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_paging_thru_zones.py
===================================================================
--- python-cloudflare.orig/examples/example_paging_thru_zones.py
+++ python-cloudflare/examples/example_paging_thru_zones.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_proxied.py
===================================================================
--- python-cloudflare.orig/examples/example_proxied.py
+++ python-cloudflare/examples/example_proxied.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_settings.py
===================================================================
--- python-cloudflare.orig/examples/example_settings.py
+++ python-cloudflare/examples/example_settings.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_time_calls.py
===================================================================
--- python-cloudflare.orig/examples/example_time_calls.py
+++ python-cloudflare/examples/example_time_calls.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_update_dynamic_dns.py
===================================================================
--- python-cloudflare.orig/examples/example_update_dynamic_dns.py
+++ python-cloudflare/examples/example_update_dynamic_dns.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_user.py
===================================================================
--- python-cloudflare.orig/examples/example_user.py
+++ python-cloudflare/examples/example_user.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_user_tokens.py
===================================================================
--- python-cloudflare.orig/examples/example_user_tokens.py
+++ python-cloudflare/examples/example_user_tokens.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_with_usage.py
===================================================================
--- python-cloudflare.orig/examples/example_with_usage.py
+++ python-cloudflare/examples/example_with_usage.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
Index: python-cloudflare/examples/example_zones.py
===================================================================
--- python-cloudflare.orig/examples/example_zones.py
+++ python-cloudflare/examples/example_zones.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 """Cloudflare API code - example"""
 
 import os
